Package com.independentsoft.graph

# Enum Class WebsiteType

java.lang.Object
java.lang.Enum<WebsiteType>
com.independentsoft.graph.WebsiteType

All Implemented Interfaces:
  `Serializable`, `Comparable<WebsiteType>`, `Constable`

public enum WebsiteType extends Enum<WebsiteType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLOG`
  `HOME`
  `OTHER`
  `PROFILE`
  `WORK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WebsiteType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static WebsiteType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HOME

    public static final WebsiteType HOME

  - ### WORK

    public static final WebsiteType WORK

  - ### BLOG

    public static final WebsiteType BLOG

  - ### PROFILE

    public static final WebsiteType PROFILE

  - ### OTHER

    public static final WebsiteType OTHER

- ## Method Details

  - ### values

    public static WebsiteType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WebsiteType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null